VKQUAKE(6)

NAME
vkquake - a Vulkan-based engine for id Software's Quake

SYNOPSIS
vkquake [options]

DESCRIPTION
This manual page documents briefly the vkquake command.

vkQuake is a port of id Software's Quake using Vulkan instead of OpenGL for rendering. It is based on the popular QuakeSpasm and QuakeSpasm-Spiked ports and runs all mods compatible with QuakeSpasm like Arcane Dimensions.

OPTIONS
This program follows the Quake convention, with long options starting with a single dash (`-'). A summary of options is included below.

-basedir directory
    Specify the location of the game data files.

-cddev device
    Specify the CD device to be used for CD audio.

-condebug
    Write a log file containing debugging information.

-consize integer
    Specify the size of the console buffer in kilobytes.

-current
    Start the game in the current video mode for Vulkan.

-dedicated
    Start the game in a dedicated server mode.

-device integer
    Index of the Vulkan device to use for rendering.

-[no]egs, -[no]epic
    Skip or explicitly enable detecting installed game assets from the Epic Game Store.

-f, -fullscreen
    Use a full screen video mode.

-fitz
    Fitz mode: disable vkQuake customizations, act like vanilla Fitzquake.

-game name
    Start the game using the files from a mission pack or a mod.

-[no]gog
    Skip or explicitly enable detecting installed game assets from the GOG game store.

-height pixels
    Specify the vertical resolution to use for the game screen.

-hipnotic
    Start the game with the Hipnotic mission pack.

-ip ip-address
    Start the game and specify an alternative IP address to be used by the game.

-ipxport port
    The port number to be used by the server for the IPX network protocol.

-listen integer
    Specify the maximum number of players that can connect to the listen server.

-mixspeed integer
    Sampling frequency to use for audio out, default is 44100 (Hz).

-multiuser
    Use $HOME/.local/share/vkquake for game data (including save files), instead of the default $HOME/.vkquake directory.

-nocdaudio
    Disable CD music audio.

-noextmusic
    Don't play external music files.

-noipx
    Disable game support for the IPX/SPX network protocol.

-nojoy
    Disable support for joysticks.

-nolan
    Disable support for all network protocols.

-nomouse
    Disable support for the mouse.

-nosound
    Disable support for sound hardware.

-noudp
    Disable support for the UDP network protocol.

-noudp4
    Disable using IPv4 for UDP networking.

-noudp6
    Disable using IPv6 for UDP networking.

-original
    If both the original and remastered game assets are found, use the original.

-particles integer
    Specify the maximum number of particles to be rendered on the screen at once.

-pinnedworkers integer
    Number of workers to pin to individual cores.

-port port
    Specify port for both IPX and UDP network protocols.

-protocol integer
    Communication protocol to use for online/LAN play. Accepted values are: 15 (NetQuake), 666 (FitzQuake), or 999 (RMQ). RMQ is the default.

-quoth
    Use extensions from the Quoth mod.

-refreshrate integer
    Specify the display refresh rate to use.

-remaster
    If both the original and remastered game assets are found, use the remaster.

-rogue
    Start the game with the Rogue mission pack.

-sndspeed sample-rate
    Specify the sampling rate used for sound, default is 11025.

-[no]steam
    Skip or explicitly enable detecting installed game assets from the Steam game store.

-udpport port
    Specify the UDP port number that the game should use for network play.

-validation
    Enable Vulkan validation.

-w, -window
    Start the game in a windowed OpenGL video mode.

-width pixels
    The horizontal resolution to use for the game screen.

AUTHOR
vkQuake is written by Axel Gneiting and contributors.

This manual page was taken from the QuakeSpasm package, originally written by David Banks <amoebae@gmail.com> for the Debian project, and adapted by John Rowley <dpkg@johnrowley.me> for vkQuake.